io_uring_sqe_set_buf_group(3)

NAME
io_uring_sqe_set_buf_group - set buf group for submission queue event

SYNOPSIS
#include <liburing.h>

void io_uring_sqe_set_buf_group(struct io_uring_sqe *sqe,
                                int bgid);

DESCRIPTION

The io_uring_sqe_set_buf_group(3) function sets the associated buf_group of the sqe to bgid.

After the caller has requested a submission queue entry (SQE) with io_uring_get_sqe(3), they can associate a buf_group with the SQE used for multishot operations.

RETURN VALUE
None

SEE ALSO
io_uring_get_sqe(3), io_uring_cqe_set_data(3)